import axios from "axios";

axios.defaults.xsrfCookieName = "csrftoken";
axios.defaults.xsrfHeaderName = "X-CSRFToken";

const axiosInstance = axios.create({
	baseURL: process.env.NEXT_PUBLIC_API_URL,
	validateStatus: (status) => {
		return status < 500; // Resolve only if the status code is less than 500
	},
});

export default axiosInstance;
